#!/bin/sh

. ./build-env.sh

export ARCH=arm64
if [ "X${BSP_ARCH}" = "Xarmhf" ]; then
  export ARCH=arm
  export CROSS_COMPILE=arm-linux-gnueabihf-

elif [ "X${BSP_ARCH}" = "Xamd64" ]; then
  export ARCH=x86
  export CROSS_COMPILE=x86_64-linux-gnu-

elif [ "X${BSP_ARCH}" = "Xi686" ]; then
  export ARCH=x86
  export CROSS_COMPILE=i686-linux-gnu-
fi

export LOCALVERSION="+${BSP_GROUP}"

defcfg=${BSP_CONFIG}_defconfig
if [ "x$1" != "x" ] ; then
  defcfg=$1
fi

lxcfg=arch/${ARCH}/configs/${defcfg}


cd linux

cp -p .config config-saved

make LOCALVERSION="${LOCALVERSION}" ARCH=${ARCH} CROSS_COMPILE=${CROSS_COMPILE} mrproper clean

cd ..

echo OK
